/***************************************************
*  Copyright (c) 2009. All rights reserved.
*  Procession or use of this file requires a written 
*  license from the author.
*  
*  Created: 2009-12-23
***************************************************/
#ifndef _H_CLUSTER_DLL
#define _H_CLUSTER_DLL

#ifdef OS_LINUX
#define CLUSTER_API extern "C" 
#else
#ifdef LJCLUSTER_EXPORTS
#define CLUSTER_API extern "C" __declspec(dllexport)
#else
#define CLUSTER_API extern "C"  __declspec(dllimport)
#endif
#endif

#define GBK_CODE 0//Ĭ֧GBK
#define UTF8_CODE GBK_CODE+1//UTF8
#define BIG5_CODE GBK_CODE+2//BIG5
#define GBK_FANTI_CODE GBK_CODE+3//GBK룬


/*-----------------------------------------------------------------------
* ܣʼ
* sLicenseCode - Ȩ
* أtrue - ɹfalse - ʧ
* עڽд˺֮ǰãִֻһΣ
------------------------------------------------------------------------*/
CLUSTER_API bool CLUS_Init(const char *sDefaultPath,const char *sLicenseCode=0,int encode=GBK_CODE);
//ÿĵͣôļ·

/*-----------------------------------------------------------------------
* ܣò
* nMaxClus ǰٸ     nMaxDoc ÿǰٸĵ   
* أtrue - ɹfalse - ʧ
* עڽд˺֮ǰ
*       ãĬϾΪ2000 ԽϵͳռڴԽ󣬴ٶԽ
*       ڵĵѰҪԺͼʱŹ
------------------------------------------------------------------------*/
CLUSTER_API bool CLUS_SetParameter(int nMaxClus, int nMaxDoc);

/*-----------------------------------------------------------------------
* ܣ׷ڴ
* sText           - [IN] ݣ'\0'ַ
*       sSignature      - [IN] Ψһʶ'\0'ַ
* أtrue - ɹfalse - ʧ
* עڽд˺ڴӡ֮ǰִж
------------------------------------------------------------------------*/
CLUSTER_API bool CLUS_AddContent(const char *sText, const char* sSignature);

/*-----------------------------------------------------------------------
* ܣ׷ļ
* sFileName       - [IN] ļȫ·ƣ'\0'ַ
*       sSignature      - [IN] Ψһʶ'\0'ַ
* أtrue - ɹfalse - ʧ
* עڽд˺ڴӡ֮ǰִж
------------------------------------------------------------------------*/
CLUSTER_API bool CLUS_AddFile(const char *sFileName, const char* sSignature);

/*-----------------------------------------------------------------------
* ܣӡ
* sXmlFileName    - [OUT]XMLļ
* أtrue - ɹfalse - ʧ
------------------------------------------------------------------------*/
CLUSTER_API bool CLUS_GetLatestResult(const char* sXmlFileName);

//ʷ
CLUSTER_API void CLUS_CleanData();

//˳ͷԴ̽ǰͷռõڴԴ
CLUSTER_API void CLUS_Exit();

//ôϢ
CLUSTER_API const char* CLUS_GetLastErrMsg();

#endif //_H_CLUSTER_DLL


/*ע  XMLʽ

<?xml version="1.0" encoding="gb2312" standalone="yes" ?>
<LJCluster-Result>
<clusnum>2</clusnum>

<clus id="0">
	<feature>° ѡ </feature>
    <docs num="6">
       <doc>2</doc>
       <doc>3</doc>       
       <doc>35</doc>
       <doc>86</doc>
       <doc>345</doc>
       <doc>975</doc>       
    </docs>
</clus>    

<clus id="1">
	<feature>־ Ӱ Ӱ </feature>
    <docs num="4">
       <doc>45</doc>
       <doc>86</doc>       
       <doc>135</doc>
       <doc>286</doc>      
    </docs>
</clus>  
</LJCluster-Result>
*/
